import request from "@/scripts/httpRequest"

// 检索页面数据列表
export const getAllTaskRule = () => {
  return request({
    url: "/data/api-v/task/findAll",
    method: "get"
  })
}

export const getCameraTask = (params: any) => {
  return request({
    url: "/saas/api-s/camera/rule/findByCameraId",
    method: "post",
    data: params
  })
}

export const initTaskData = (params: any) => {
  return request({
    url: "/data/api-v/realTime/initForMonitoringData",
    method: "post",
    headers: { contentType: "application/json; charset=utf-8" },
    data: params
  })
}

export const monitorRealTimeTaskData = (params: any) => {
  return request({
    url: "/saas/api-s/es/search",
    method: "post",
    data: params
  })
}

export const initCaptureData = (params: any) => {
  return request({
    url: "/data/api-v/realTime/initForCaptureData",
    method: "post",
    data: params
  })
}

export const monitorRealTimeCaptureData = (params: any) => {
  return request({
    url: "/data/api-v/realTime/capture",
    method: "post",
    data: params
  })
}

export const statisticTaskCamera = () => {
  return request({
    url: "/data/api-v/task/statisticTaskCamera",
    method: "get"
  })
}

export const pasteRules = (params: any) => {
  return request({
    url: "/data/api-v/camera/pasteRules",
    method: "post",
    data: params
  })
}
